//**************************************************************************//
//																			//
// File:		main.c														//
//																			//
// Project:		ADSP-2191 Host Port booting									//
//																			//
// Version:		1.02														//
// Date:		06.11.2003													//
//																			//
// Author:		Michael Kuegler												//
// Company:		Analog Devices, Inc.										//
//																			//
// Platform																	//
// Hardware:	ADSP-2191 EZ-KIT Lite 2.1, Chip 0.2							//
// Software:	VisualDSP++ 3.0, Compiler 6.1.8								//
//																			//
// Description: This program implements the software boot loader described	//
//				in application note "ADSP-2191 Host Port booting".			//
//				For additional information see readme.txt.					//
//																			//
//**************************************************************************//

#include "ADSP-2191 Host Port Booting.h"

//--------------------------------------------------------------------------//
// Function:	main														//
//--------------------------------------------------------------------------//
void main(void)
{
	Init_Host();
	Init_PLD();
	Init_Target();

	if(Transfer_Loader_File() == EXIT_SUCCESS)
	{
		if(Start_Program_Execution() == EXIT_SUCCESS)
		{
			printf("DSP booted successfully!\n");
		}
		else
		{
			printf("Incorrect handshake values found in Target memory!\n");
		}
	}
	else
	{
		printf("Unexpected value found in Flash memory!\n");
	}
}

